import {
	createRouter,
	createWebHashHistory
} from 'vue-router'
import Login from "../views/login/login";
import Layout from "../views/layout/layout";
import Logs from "../views/monitor/logs";
import Item from "../views/system/item";
import Group from "../views/system/group";
import DevicesLp from "../views/devices/lp";
import MapLp from "../views/map/lp";
import Users from "../views/system/users";

const routes = [{
		path: "/",
		name: "Layout",
		component: Layout,
		children: [{
				path: "/logs",
				name: "Logs",
				component: Logs
			},
			{
				path: "/devices/lp",
				name: "DevicesLp",
				component: DevicesLp
			},
			{
				path: "/map/lp",
				name: "MapLp",
				component: MapLp
			},
			{
				path: "/groups",
				name: "Group",
				component: Group
			},
			{
				path: "/users",
				name: "Users",
				component: Users
			},
			{
				path: "/items",
				name: "Item",
				component: Item
			}
		]
	},
	{
		path: "/login",
		name: "Login",
		component: Login,
	}
];
const router = createRouter({
	history: createWebHashHistory(),
	routes
});

export default router
